import React from 'react';
import { ButtonProps } from 'reactstrap';
import { FieldProps } from 'formik';
interface ButtonChoiceProps extends FieldProps, Omit<ButtonProps, 'onChange'> {
    children: string;
    name?: string;
    value: any;
    form: any;
    onChange?: (value: any, formikOnChange: (value?: any) => void, formik: FieldProps) => void;
    inputProps?: Object;
}
declare const ButtonChoice: React.FC<ButtonChoiceProps>;
export default ButtonChoice;
export { ButtonChoiceProps };
