import React from 'react';
import { InputProps } from 'reactstrap';
import { FieldProps } from 'formik';
interface HtmlChoiceProps extends FieldProps, Omit<InputProps, 'onChange'> {
    children: string;
    name?: string;
    multiple?: boolean;
    value: any;
    form: any;
    onChange?: (e: React.ChangeEvent<any>, formikOnChange: (value?: any) => void, formik: FieldProps) => void;
    inputProps?: Object;
}
declare const HtmlChoice: React.FC<HtmlChoiceProps>;
export default HtmlChoice;
export { HtmlChoiceProps };
