import React from 'react';
import { FieldProps } from 'formik';
declare const getValue: (name: string | undefined, formik: FieldProps<any>) => any;
declare const getNewValue: (name: string | undefined, value: any, multiple: boolean | undefined, formik: FieldProps<any>) => any;
declare const setValue: (name: string | undefined, value: any, multiple: boolean | undefined, formik: FieldProps<any>) => void;
declare const getActive: (name: string | undefined, value: any, formik: FieldProps<any>) => boolean;
declare const convertOptionsFromChildren: <O extends {}>(opts: O[] | undefined, children: React.ReactNode) => O[];
export { getValue, getNewValue, setValue, getActive, convertOptionsFromChildren };
