import React from 'react';
import { ReactDatePickerProps } from 'react-datepicker';
import { InputProps } from 'reactstrap';
import { FieldProps } from 'formik';
import { FieldGroupProps } from './FieldGroup';
import "react-datepicker/dist/react-datepicker.css";
import "./DatePicker.css";
interface DatePickerProps extends Partial<Omit<ReactDatePickerProps, 'onChange'>>, Omit<FieldGroupProps, 'render'>, Omit<InputProps, 'onChange'> {
    onChange?: (date: Date | null, formikOnChange: (date: Date) => void, formik: FieldProps) => void;
    inputProps?: object;
}
declare const DatePicker: React.FC<DatePickerProps>;
export default DatePicker;
export { DatePickerProps };
