import React from 'react';
import { FieldProps } from 'formik';
interface GroupProps {
    formik: FieldProps;
    render?: (props: FieldGroupRenderProps) => React.ReactNode;
    validate?: any;
    DisplayLabel?: boolean;
    label?: React.Component | String;
    formText?: string;
}
interface FieldGroupRenderProps {
    formik: FieldProps;
    field: Object;
    id: string;
    invalid: boolean;
    'data-testid': string;
}
interface FieldGroupProps extends Omit<GroupProps, 'formik'> {
    row?: boolean;
    FormGroup?: boolean;
    check?: boolean;
    name?: string;
}
declare const FieldGroup: React.FC<FieldGroupProps>;
export default FieldGroup;
export { FieldGroupProps, FieldGroupRenderProps };
