import React from 'react';
import { InputProps as StrapInputProps } from 'reactstrap';
import { FieldGroupProps } from './FieldGroup';
import { FieldProps, FormikHandlers } from 'formik';
interface InputProps extends Omit<StrapInputProps, 'onChange'>, FieldGroupProps {
    onChange?: (value: any, formikOnChange: FormikHandlers['handleChange'], formik: FieldProps) => void;
    inputProps?: Object;
}
declare const Input: React.FC<InputProps>;
export default Input;
export { InputProps };
