import React from 'react';
import { FieldProps } from 'formik';
interface IOption {
    value: any;
    text: string;
    [key: string]: any;
}
declare type OptionsArray = Array<IOption>;
interface OptionLevelErrorsProps {
    options?: OptionsArray;
    multiple?: boolean;
    fieldProps: {
        formik: FieldProps;
    };
}
declare const OptionLevelErrors: React.FC<OptionLevelErrorsProps>;
export default OptionLevelErrors;
export { OptionLevelErrorsProps };
